import { OnInit, OnChanges, EventEmitter, ElementRef, SimpleChanges } from '@angular/core';
import { NgxGalleryOrderedImage } from '../ngx-gallery-ordered-image.model';
import { NgxGalleryAction } from '../ngx-gallery-action.model';
import { DomSanitizer, SafeStyle } from '@angular/platform-browser';
import { NgxGalleryHelperService } from '../ngx-gallery-helper.service';
import * as i0 from "@angular/core";
export declare class NgxGalleryImageComponent implements OnInit, OnChanges {
    private sanitization;
    private elementRef;
    private helperService;
    images: NgxGalleryOrderedImage[];
    clickable: boolean;
    selectedIndex: number;
    arrows: boolean;
    arrowsAutoHide: boolean;
    swipe: boolean;
    animation: string;
    size: string;
    arrowPrevIcon: string;
    arrowNextIcon: string;
    autoPlay: boolean;
    autoPlayInterval: number;
    autoPlayPauseOnHover: boolean;
    infinityMove: boolean;
    lazyLoading: boolean;
    actions: NgxGalleryAction[];
    descriptions: string[];
    showDescription: boolean;
    bullets: boolean;
    onClick: EventEmitter<any>;
    onActiveChange: EventEmitter<any>;
    canChangeImage: boolean;
    private timer;
    constructor(sanitization: DomSanitizer, elementRef: ElementRef, helperService: NgxGalleryHelperService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    onMouseEnter(): void;
    onMouseLeave(): void;
    reset(index: number): void;
    getImages(): NgxGalleryOrderedImage[];
    startAutoPlay(): void;
    stopAutoPlay(): void;
    handleClick(event: Event, index: number): void;
    show(index: number): void;
    showNext(): boolean;
    showPrev(): void;
    setChangeTimeout(): void;
    canShowNext(): boolean;
    canShowPrev(): boolean;
    getSafeUrl(image: string): SafeStyle;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxGalleryImageComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxGalleryImageComponent, "ngx-gallery-image", never, { "images": "images"; "clickable": "clickable"; "selectedIndex": "selectedIndex"; "arrows": "arrows"; "arrowsAutoHide": "arrowsAutoHide"; "swipe": "swipe"; "animation": "animation"; "size": "size"; "arrowPrevIcon": "arrowPrevIcon"; "arrowNextIcon": "arrowNextIcon"; "autoPlay": "autoPlay"; "autoPlayInterval": "autoPlayInterval"; "autoPlayPauseOnHover": "autoPlayPauseOnHover"; "infinityMove": "infinityMove"; "lazyLoading": "lazyLoading"; "actions": "actions"; "descriptions": "descriptions"; "showDescription": "showDescription"; "bullets": "bullets"; }, { "onClick": "onClick"; "onActiveChange": "onActiveChange"; }, never, never, false, never>;
}
